/*
    Copyright (C) 2005-2009  Erik van Pienbroek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _NNTPGRAB_AUTOMATION_H_
#define _NNTPGRAB_AUTOMATION_H_

#include "nntpgrab_utils.h"

typedef struct NNTPGrabAutoImport NNTPGrabAutoImport;
typedef struct NNTPGrabAutoImportClass NNTPGrabAutoImportClass;

typedef ConfigOpts (*ConfigGetOptsFunc) (void *user_data);
typedef void (*ImportNZBFileFunc) (void *user_data, NZB *nzbfile, const char *filename, char **errmsg);

NNTPGrabAutoImport  *nntpgrab_automation_auto_import_init(ConfigGetOptsFunc config_get_opts_func, ImportNZBFileFunc import_nzb_file_func, void *user_data);
void                 nntpgrab_automation_auto_import_cleanup(NNTPGrabAutoImport *auto_import);

ngboolean             nntpgrab_automation_enable_auto_import(NNTPGrabAutoImport *auto_import, const char *directory, char **errmsg);
void                 nntpgrab_automation_disable_auto_import(NNTPGrabAutoImport *auto_import);

#endif /* _NNTPGRAB_AUTOMATION_H_ */

